# azure.mgmt.containerregistry.v2019_04_01 package

## Submodules

- azure.mgmt.containerregistry.v2019_04_01.models module
- azure.mgmt.containerregistry.v2019_04_01.operations module

## Module contents

class `azure.mgmt.containerregistry.v2019_04_01.``ContainerRegistryManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Variables:

  - config (ContainerRegistryManagementClientConfiguration) – Configuration for client.
  - registries (azure.mgmt.containerregistry.v2019_04_01.operations.RegistriesOperations) – Registries operations
  - operations (azure.mgmt.containerregistry.v2019_04_01.operations.Operations) – Operations operations
  - replications (azure.mgmt.containerregistry.v2019_04_01.operations.ReplicationsOperations) – Replications operations
  - webhooks (azure.mgmt.containerregistry.v2019_04_01.operations.WebhooksOperations) – Webhooks operations
  - runs (azure.mgmt.containerregistry.v2019_04_01.operations.RunsOperations) – Runs operations
  - tasks (azure.mgmt.containerregistry.v2019_04_01.operations.TasksOperations) – Tasks operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The Microsoft Azure subscription ID.
  - base_url (str) – Service URL

class `azure.mgmt.containerregistry.v2019_04_01.``ContainerRegistryManagementClientConfiguration`(credentials, subscription_id, base_url=None)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for ContainerRegistryManagementClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – The Microsoft Azure subscription ID.
  - base_url (str) – Service URL